aboutsummaryrefslogtreecommitdiff
path: root/scripts/ci/check-testdata.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/check-testdata.sh')
-rwxr-xr-xscripts/ci/check-testdata.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/ci/check-testdata.sh b/scripts/ci/check-testdata.sh
new file mode 100755
index 0000000..9e2182d
--- /dev/null
+++ b/scripts/ci/check-testdata.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e -o pipefail
+
+echo "=== Stack resolvers"
+
+$CI_PROJECT_DIR/scripts/ci/update-stack-resolvers.sh \
+ | tee tests/stack-resolvers.new
+
+git diff --exit-code -- tests/stack-resolvers tests/stack-resolvers.new \
+ && echo OK
+
+echo; echo; echo "=== Cabal versions"
+$CI_PROJECT_DIR/scripts/ci/update-cabal-versions.sh \
+ | tee tests/cabal-versions.new
+
+git diff --exit-code -- tests/cabal-versions tests/cabal-versions.new \
+ && echo OK